sources
Data sources, such as Google Drive and Confluence
Endpoints
- POST
/v1/sourcesCreate a source - GET
/v1/sources/{source_id}Get a source - DELETE
/v1/sources/{source_id}Delete a source - PATCH
/v1/sources/{source_id}Update a source - PATCH
/v1/sources/{source_id}/settingsUpdate source settings - GET
/v1/sources/{source_id}/push-keysList API keys of a custom source - POST
/v1/sources/{source_id}/push-keysCreate an API key for a custom source - DELETE
/v1/sources/{source_id}/push-keys/{key_id}Revoke an API key of a custom source - GET
/v1/sources/{source_id}/push-syncsList syncs of a custom source - GET
/v1/push/sources/{source_id}Check the key and get the state of a custom source - POST
/v1/push/sources/{source_id}/syncsOpen a sync - GET
/v1/push/sources/{source_id}/syncs/{sync_number}Get a sync - GET
/v1/push/sources/{source_id}/syncs/{sync_number}/documentsList document results of a sync - POST
/v1/push/sources/{source_id}/syncs/{sync_number}/closeClose a sync - POST
/v1/push/sources/{source_id}/syncs/{sync_number}/touchConfirm documents without sending them again - POST
/v1/push/sources/{source_id}/documentsSend a document (create or replace) - POST
/v1/push/sources/{source_id}/documents/batchSend a batch of documents - GET
/v1/push/sources/{source_id}/documents/{external_id}Get the result of a document - DELETE
/v1/push/sources/{source_id}/documents/{external_id}Delete a document